Subject: KC Software

From: Stanley G Goertzen <[email-masked]>
Date: Tue, 3 Aug 1993 10:42:35 -600

On Mon, 2 Aug 1993, Lin Liang <[email-masked]> wrote:

>I read several messages about unsuccessful usage of the KC Chinese
>edit software and I tried to load this software from cnd.org. I
>followed the installation steps carefully and until I use it,
>everything seems OK.  But this program could not start at all.

You might want to check your KC.BAT, AUTOEXEC.BAT and CONFIG.SYS files.
I use the following with very good results.  (By the way, I use the
Trident 8900C SVGA video adapter card which works well, but it may be
possible that KC will not work with some video cards.)

[KC.BAT for SVGA-S screen fonts]
==========================================================
ECHO OFF
SVGA-S /C=KCCHIN24.F00 /E=KCTEXT24.F00 /W=KCWORD24.F00
CKS
KCIDM  KCPIN.IDM
CPS /E=32
LASERJET
KCINIT
ETMODE
ECHO ON
===========================================================
NOTES: *.F02 Kaiti, *.F00 Songti.
SVGA 24x24 fonts look very good on screen!
KCPIN.IDM is for Pinyin.  You may prefer other input methods.
Use Alt-F3 to change to English mode before running DOS commands
and DOS applications.

[AUTOEXEC.BAT for KC using DOS 6]
=================================
@ECHO OFF
PROMPT $p$g
C:\DOS\SMARTDRV.EXE /L
PATH D:\KC60;C:\DOS;C:\;C:\UTIL;
SET TEMP=D:\TEMP
LH /L:1,24048 MODE LPT1:,,P
==========================================================
NOTE: I keep Smartdrive in low memory because I want to avoid any
upper memory conflicts with KC.  Perhaps this is not necessary.

[config.sys for KC using DOS 6]
==========================================================
DEVICE=C:\DOS\HIMEM.SYS
DEVICE=C:\DOS\EMM386.EXE RAM MIN=0 X=B000-B7FF X=DE00-DEFF
DOS=HIGH, UMB
BUFFERS=30,0
FILES=30
LASTDRIVE=I
FCBS=4,0
SHELL=C:\DOS\COMMAND.COM C:\DOS\ /e:1024 /p
BREAK=ON
DEVICEHIGH /L:2,44496 =C:\DOS\DBLSPACE.SYS /MOVE
==============================================================
NOTE: Not sure if I need to X (eXclude) B000-B7FF & DE00-DEFF.

I think KC will only run DOS applications in text-mode (ideally those
that display only 7-bit ASCII) and I think it may also be necessary to
use DOS applications that use the PC-BIOS to write to the video buffer.
For example, I have used the Telix /B switch to force BIOS screen
writes to read alt.chinese.text.big5 on a dialup connection with
very good results.

For printing, I include ETMODE in KC.BAT and insert the following
printer control code on the first line of a Chinese text file:

~T24W2Z2

According to my ET manual, this tells the printer to use 24x24
bitmap font (T24) and to double the Width (W2) and height (Z2)
of the printed bitmap.  There should also be printer control codes
for the margins and page length, but I don't know what they are yet.
As a temporary work around, I start the first line of text on about
the 3rd or 4th line in the text editor.  I insert about 3 or 4 blank
spaces in the right margins, and use the carriage return to end the
line; but word wrap also seems to work fine.  For page length I
usually end the text at about line 50, and print one page at a time.
This seems to work for the LaserJet; adjustments for other printers
may be necessary. Then I exit the editor and print from the DOS prompt
while still in KC, using PRINT filename PRN or COPY filename PRN.
The results are not bad looking.

>Also there is no documentations at all. (except a short installation
>guide)

It would be great if someone could tell us where to get a KC manual!

I'd also like to know how to logon and read the Chinese electronic
dictionary I heard about at one of the Taiwan Internet sites.

Stan ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
           ;;                        ;;'                  ;;;;;;;;;;;;;;,
,,,,,,,,,,,;;,,,,,,,,;;,    ,        ;;       ,,          ;;          ;;
''''''''''''''''''''''''    ;;;;;;;;;;;;;;;;;;;;'         ;;  ',,     ;;
      ;;;;;;;;;;;;          ;;       ;;       ;;          ;;    ;;,   ;;
      ;;        ;;          ;;       ;;       ;;          ;;     ''   ;;  ,,
      ;;;;;;;;;;;;          ;;;;;;;;;;;;;;;;;;;;     ;;;;;;;;;;;;;;;;;;;;;;;
  ;,,,,,,,,,,,,,,,,,;;,     ''       ;;       ''          ;;          ;;
  ;;'''''''''''''''';;'         ',,  ;;                   ;;          ;;
  ;;   ;;;;;;;;;;   ;;            ';,;                   ;;           ;;
  ;;   ;;      ;;   ;;            ,;'';,,               ,,'           ;;
  ;;   ;;;;;;;;;;   ;;         ,,;'     ';;;,,,,,,     ,,'            ;;
  ;;             '';;'    ,,,'''           ''';;;    ,''           '';;'
Stan Goertzen   --  North Dakota Badlands  --   [email-masked]
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~